"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Confidence(object):
    """
    Confidence based on the Confidence Information Ontology      *
    `CIO_0000029`: high confidence level
    http://purl.obolibrary.org/obo/CIO_0000029     * `CIO_0000031`:
    low confidence level http://purl.obolibrary.org/obo/CIO_0000031
    * `CIO_0000030`: medium confidence level
    http://purl.obolibrary.org/obo/CIO_0000030     * `CIO_0000039`:
    rejected http://purl.obolibrary.org/obo/CIO_0000039
    """

    low_confidence_level = "low_confidence_level"
    medium_confidence_level = "medium_confidence_level"
    high_confidence_level = "high_confidence_level"
    rejected = "rejected"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.8.0"
